CREATE TABLE cmp_mkt_comp_type_config_tl (
    COMP_TYPE_CONFIG_ID        NUMBER(18, 0),
    LANGUAGE                   VARCHAR2(16) ,
    SOURCE_LANG                VARCHAR2(16)     NOT NULL,
    COMP_TYPE_DISPLAY_NAME     VARCHAR2(320),
    MKT_TARGET_DISPLAY_NAME    VARCHAR2(320),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    COMP_TYPE_CONFIG_ID        NUMBER(18, 0),
    LANGUAGE                   VARCHAR2(16) ,
    SOURCE_LANG                VARCHAR2(16)     NOT NULL,
    COMP_TYPE_DISPLAY_NAME     VARCHAR2(320),
    MKT_TARGET_DISPLAY_NAME    VARCHAR2(320),
    OBJECT_VERSION_NUMBER      NUMBER(9, 0)     NOT NULL,
    CREATED_BY                 VARCHAR2(256)    NOT NULL,
    CREATION_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY            VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE           TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN          VARCHAR2(128),
    CONSTRAINT pk_cmp_mkt_comp_type_config_tl PRIMARY KEY (COMP_TYPE_CONFIG_ID, LANGUAGE, COMP_TYPE_CONFIG_ID, LANGUAGE)
);
